Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: Simon Josefsson <simon <at> josefsson.org>
Subject: Re: valgrind-tests.m4 is not compatible with libtool
Newsgroups: gmane.comp.lib.gnulib.bugs
Date: Wednesday 7th September 2011 11:22:09 UTC (over 6 years ago)
Another solution is to put

AM_LDFLAGS = -no-install

in the Makefile.am of your self-test directory, so libtool will not
build wrappers for them.

I have not seen any negative effects of doing this, and it helps
significantly with issues like this (especially for running gdb).

Vincent, Bruno, if you can think of ways of making the situation better
even for projects that use libtool wrappers of self-tests, then let's do
that too -- I'm just mentioning that -no-install may be a solution.

`-no-install'
     Link an executable OUTPUT-FILE that can't be installed and
     therefore doesn't need a wrapper script on systems that allow
     hardcoding of library paths.  Useful if the program is only used
     in the build tree, e.g., for testing or generating other files.

/Simon
 
CD: 3ms